Рекомендация Debian по безопасности

DSA-2407-1 cvs -- переполнение целых чисел

Дата сообщения:
09.02.2012
Затронутые пакеты:
cvs
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2012-0804.
Более подробная информация:

Было обнаружено, что некорректно работающий сервер CVS может вызвать переполнение динамической памяти в клиенте CVS, что может позволить серверу выполнить произвольный код на клиенте.

В стабильном выпуске (squeeze) эта проблема была исправлена в версии 1:1.12.13-12+squeeze1.

В нестабильном выпуске (sid) эта проблема была исправлена в версии 2:1.12.13+real-7.

Рекомендуется обновить пакеты cvs.